/*
 * Anarres C Preprocessor
 * Copyright (C) 2007 Shevek
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package org.anarres.cpp;

import java.util.ArrayList;
import java.util.List;

/**
 * An ErrorHandler which records all ErrorMessages.
 *
 * @see ErrorHandler
 * @see ErrorMessage
 */
public class DefaultErrorHandler implements ErrorHandler {

	private List<ErrorMessage>	messages;

	public DefaultErrorHandler() {
		messages = new ArrayList<ErrorMessage>();
	}

	/**
	 * Returns the list of ErrorMessages recorded by this ErrorHandler.
	 */
	public List<ErrorMessage> getErrorMessages() {
		return messages;
	}

	public void handle(ErrorMessage msg)
						throws LexerException {
		messages.add(msg);
		System.err.println(msg);
	}

}
